Subject: Re: [PATCH] ks8851: Fix missing mutex_lock/unlock

From: Flavio Leitner <[email-masked]>
Date: Thu, 12 Apr 2012 17:40:44 -0300

On Thu, 12 Apr 2012 15:06:44 -0500
[email-masked] wrote:

> From: Matt Renzelmann <[email-masked]>
> 
> All calls to ks8851_rdreg* and ks8851_wrreg* should be protected with
> the driver's lock mutex.  A spurious interrupt may otherwise cause a
> crash.
> 
> Signed-off-by: Matt Renzelmann <[email-masked]>
> ---
> 
> Thank you, Mr. Leitner, for providing feedback.  I agree with your
> changes and have updated the patch to reflect them.  I apologize for
> missing the driver name in the title -- I've updated the patch with
> that information as well.  Please let me know if there is anything
> else I should fix/change.

Signed-off-by: Flavio Leitner <[email-masked]>